Bug 26245 - Remove unused functions from members.js
Summary: Remove unused functions from members.js
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26244
  Show dependency treegraph
 
Reported: 2020-08-18 21:18 UTC by Owen Leonard
Modified: 2020-10-27 04:28 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26245: Remove unused functions from members.js (3.54 KB, patch)
2020-08-19 00:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26245: Remove unused functions from members.js (3.58 KB, patch)
2020-09-15 14:12 UTC, Brandon J
Details | Diff | Splinter Review
Bug 26245: Remove unused functions from members.js (3.65 KB, patch)
2020-09-15 18:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-18 21:18:51 UTC
There are several functions in members.js which are obsolete and unused. Rather than change them in the process of fixing Bug 26244 they should be removed.
Comment 1 Owen Leonard 2020-08-19 00:47:54 UTC
Created attachment 108565 [details] [review]
Bug 26245: Remove unused functions from members.js

This patch removes some code from members.js which was unused.

To test, apply the patch and test that the process of adding or editing
a patron is unaffected. Check the Koha codebase for references to these
functions in JavaScript:

CheckDate
unique (note: Not the jQuery function)
check_manip_date
check_password

There should be none.
Comment 2 Owen Leonard 2020-08-19 17:28:17 UTC
This patch probably should have included changes to memberentrygen.tt, since some related strings are defined there. But they will be removed by Bug 26244.
Comment 3 Brandon J 2020-09-15 14:12:08 UTC
Created attachment 110111 [details] [review]
Bug 26245: Remove unused functions from members.js

This patch removes some code from members.js which was unused.

To test, apply the patch and test that the process of adding or editing
a patron is unaffected. Check the Koha codebase for references to these
functions in JavaScript:

CheckDate
unique (note: Not the jQuery function)
check_manip_date
check_password

There should be none.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>
Comment 4 Katrin Fischer 2020-09-15 18:46:20 UTC
Created attachment 110116 [details] [review]
Bug 26245: Remove unused functions from members.js

This patch removes some code from members.js which was unused.

To test, apply the patch and test that the process of adding or editing
a patron is unaffected. Check the Koha codebase for references to these
functions in JavaScript:

CheckDate
unique (note: Not the jQuery function)
check_manip_date
check_password

There should be none.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-09-29 12:31:20 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 17:05:05 UTC
backported to 20.05.x for 20.05.05
Comment 7 Aleisha Amohia 2020-10-27 04:28:35 UTC
enhancement, not backported to 19.11.x